wordpressの自動更新が出来なくなったので対処

wordpressの自動アップデートが出来なくなってしまったので調べてみた。
プラグインでアップデートチェックをするプラグインなんて有ったので入れてみた。
「Background Update Tester」というらしい。
実行するとチェックが走る。
僕の環境では、3個目のチェックがエラーになった。

表示されたエラーは↓

FAIL: Your installation of WordPress prompts for FTP credentials to perform updates.
(Your site is performing updates over FTP due to file ownership. Talk to your hosting company.)

FTPがうまくいってないっぽい・・昔はできてたんだけどなあ。
調べていくと「wp-config.php」に以下の情報を追記する必要が有るようだ

define(‘FTP_USER’, ‘user’);
define(‘FTP_PASS’, ‘pass’);
define(‘FTP_HOST’, ‘localhost’);

これを入れた所、すんなりいきました。
前は、いらなかったはずなんだが・・・

タグ . ブックマークする パーマリンク.

コメントを残す

メールアドレスが公開されることはありません。